Subject: Re: multi-project repos (was Re: Cleaning up git user-interface warts)

From: Jakub Narebski <[email-masked]>
Date: Fri, 17 Nov 2006 13:53:00 +0100

Han-Wen Nienhuys wrote:
> Linus Torvalds escreveu:

>>> If I then do 
>>>
>>>   git --bare fetch git://git.sv.gnu.org/lilypond.git web/master:master
>>>
>>> it downloads the same stuff again. 
>> 
>> Right. So you can either
>> [..]
>> See?
> 
> No, I don't understand. In the fetch all the objects with their SHA1s
> were already downloaded. I'd expect that the fetch with a refspec
> would simply write a HEAD and a refs/heads/master, and notice that all
> the actual data was already downloaded, and doesn't download it again. 

But how git is to know that you have this already downloaded? Git compares
_refs_ on the local and remote side to calculate what needs to be
downloaded. It does not (and should not) send all the objects IDs local
side has.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git